{% extends 'layout.html' %}

{% block content %}

<div class="flex flex-col gap-4 py-4">
    {% for date in purchase_history %}
    <div class="grid grid-cols-1 md:grid-cols-4 lg:grid-cols-6 xl:grid-cols-8 px-8 py-8 bg-grey-light gap-4 rounded-lg">
        <div class="col-span-1 md:col-span-4 lg:col-span-6 xl:col-span-8 flex flex-col">
            <h2 class="text-2xl text-yellow" id="{{ date }}">{{ date }}</h2>

        </div>
        {% for purchase in purchase_history[date] %}
            <div class="col-span-1 md:col-span-2 w-full grid grid-cols-3 items-center px-8 py-8 bg-grey-dark gap-4 rounded-lg">
                <div class="">
                    {% if purchase['user']['avatar'] == None %}
                        <div class="w-12 h-12 rounded-md mx-auto bg-yellow"></div>
                    {% else %}
                        <img class="w-12 h-12 rounded-md mx-auto" src="https://api.tuks.dev{{ purchase['user']['avatar'] }}" alt="">
                    {% endif %}
                    <div class="col-span-2 flex flex-col">
                        <p class="text-yellow text-center">{{ purchase['user']['name'] }}</p>
                    </div>
                </div>
                <div>
                    <p class="text-yellow text-center">bought</p>
                    <p class="text-yellow text-center">at {{ purchase['time'] }}</p>
                </div>
                <div class="">
                    {% if purchase['product']['picture'] == None %}
                        <div class="w-12 h-12 rounded-md mx-auto bg-yellow"></div>
                    {% else %}
                        <img class="w-12 h-12 rounded-md mx-auto" src="https://api.tuks.dev{{ purchase['product']['picture'] }}" alt="">
                    {% endif %}
                    <div class="col-span-2 flex flex-col">
                        <p class="text-yellow text-center">{{ purchase['product']['name'] }}</p>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
    {% endfor %}
</div>

{% endblock content %}